<?php

namespace Database\Seeders;

use App\Models\api\v1\ApiKey;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class ApiKeySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        if(ApiKey::count()==0)
        {
            ApiKey::create([
                "name"                      => "Connecte Toi au foot",
                "key"                       => "zW3DJVlUYpnwc9BCzjsoOP5Bx67dOaAl",
            ]);

            ApiKey::create([
                "name"                      => "Flex",
                "key"                       => "zW3DJVlUYpnwc9BCzjsoOP5Bx67dOaAl0",
                "read_only"                 => 0,
            ]);
        }
    }
}

